<?php
session_start();
require 'conexao.php';

// Verifique se o usuário não está logado
if (!isset($_SESSION['user_id'])) {
    // Redirecione-o para a página de login
    header("Location: login.php");
}

if (isset($_POST['criarOrdem'])) {
    // Receba os parâmetros do formulário
    $quantidade = $_POST['quantidade'];
    $valor = $_POST['valor'];
    $userwallet = $_POST['userwallet'];
    $user_id = $_SESSION['user_name'];
    $dataehora = $_POST['dataehora'];
$saldo = $_SESSION['saldolivre2'];

if (0 < 2) {
$qntxvalor = bcmul($valor, $quantidade, 2); // O "2" define 2 casas decimais
};

if ($saldo < $qntxvalor) {
$_SESSION['msg'] = "Você não tem R$ $qntxvalor pra comprar $quantidade unidades por $valor.";
     
           header("Location: ordenscompra.php");
        
        exit;
    }
    
    
    

    // Inserir os valores na tabela "ordens_compra"
    $sqlOrdemCompra = "INSERT INTO ordens_compra (quantidade, valor, wallet, user, dataehora) VALUES (:quantidade, :valor, :userwallet, :user_id, :dataehora)";
    $stmtOrdemCompra = $pdo->prepare($sqlOrdemCompra);
    $stmtOrdemCompra->bindParam(':quantidade', $quantidade, PDO::PARAM_INT);
    $stmtOrdemCompra->bindParam(':valor', $valor, PDO::PARAM_STR);
    $stmtOrdemCompra->bindParam(':userwallet', $userwallet, PDO::PARAM_STR);
    $stmtOrdemCompra->bindParam(':user_id', $user_id, PDO::PARAM_STR);
    $stmtOrdemCompra->bindParam(':dataehora', $dataehora, PDO::PARAM_STR);

    if ($stmtOrdemCompra->execute()) {
        // Dados da ordem de compra inseridos com sucesso
    } else {
        echo "Erro ao criar a ordem de compra: " . $stmtOrdemCompra->errorInfo()[2];
    }

    // Inserir os valores na tabela "mempool"
    $sqlMempool = "INSERT INTO mempool (remetente, valor, dataehora, referencia) VALUES (:remetente, :valor, :dataehora, :referencia)";
    $stmtMempool = $pdo->prepare($sqlMempool);
    $stmtMempool->bindParam(':remetente', $userwallet, PDO::PARAM_STR);
    $stmtMempool->bindParam(':valor', $qntxvalor, PDO::PARAM_STR);
    $stmtMempool->bindParam(':dataehora', $dataehora, PDO::PARAM_STR);
    $referencia = "Ordem de comprar $quantidade por R$ $valor (R$ $qntxvalor) criada em $dataehora";
    $stmtMempool->bindParam(':referencia', $referencia, PDO::PARAM_STR);

    if ($stmtMempool->execute()) {
        // Dados inseridos na tabela mempool com sucesso
    } else {
        echo "Erro ao inserir dados na tabela mempool: " . $stmtMempool->errorInfo()[2];
    }

    $_SESSION['msg'] = "Ordem de compra de $quantidade unidades, por R$ $valor foi criada com sucesso.";
    header("Location: ordenscompra.php");
    exit;
}
?>
